#include <balancer/kernel/cookie/gdpr/gdpr.h>

extern "C" int LLVMFuzzerTestOneInput(const ui8* const wireData, const size_t wireSize) {
    using namespace NGdprCookie;
    auto res = ParseGdprCookie({(const char*) (wireData), wireSize});
    if (res) {
        Y_ENSURE(ParseGdprCookie(RenderGdprCookie(*res)) == res);
    }
    return 0;
}
